Changed dependancy check of install script to better handle new PyQt snapshots.

Thu, 04 Mar 2010 15:39:21 +0000

author
Detlev Offenbach <detlev@die-offenbachs.de>
date
Thu, 04 Mar 2010 15:39:21 +0000
changeset 133
5b6e8eb22796
parent 132
2c870b5b485a
child 134
c2dd2bf92ece

Changed dependancy check of install script to better handle new PyQt snapshots.

install.py file | annotate | diff | comparison | revisions
--- a/install.py	Wed Mar 03 07:26:45 2010 +0000
+++ b/install.py	Thu Mar 04 15:39:21 2010 +0000
@@ -535,7 +535,7 @@
     from PyQt4.QtCore import PYQT_VERSION_STR
     pyqtVersion = PYQT_VERSION_STR
     # always assume, that snapshots are new enough
-    if pyqtVersion.find("snapshot-") == -1:
+    if "snapshot" not in pyqtVersion:
         while pyqtVersion.count('.') < 2:
             pyqtVersion += '.0'
         (maj, min, pat) = pyqtVersion.split('.')
@@ -552,7 +552,7 @@
     from PyQt4.Qsci import QSCINTILLA_VERSION_STR
     scintillaVersion = QSCINTILLA_VERSION_STR
     # always assume, that snapshots are new enough
-    if scintillaVersion.find("snapshot-") == -1:
+    if "snapshot" not in scintillaVersion:
         while scintillaVersion.count('.') < 2:
             scintillaVersion += '.0'
         (maj, min, pat) = scintillaVersion.split('.')

eric ide

mercurial